import pandas as pd
import numpy as np

flnm = input('入力データファイル(*.xlsx) = ')
with pd.ExcelFile(flnm) as data_fl:
    data_df = pd.read_excel(data_fl)
K = int(input('K = '))                          #   カテゴリ数
c_nm = data_df.columns.values
df = pd.DataFrame()
for c in c_nm:
    v = data_df[c].values
    if v[0] == -1:                              #   逆転項目
        df['R_' + c] = K + 1 - data_df[c].values[1:]
    else:
        df[c] = data_df[c].values[1:]
with pd.ExcelWriter('R_' + flnm) as xl_writer:
    df.to_excel(xl_writer, index = False)
